#ifndef testqtuio_H
#define testqtuio_H

#include <QtGui/QMainWindow>
#include "qtuio.h"

class testqtuio : public QMainWindow
{
Q_OBJECT
public:
    testqtuio();
    virtual bool event(QEvent* e);
    virtual ~testqtuio();
    void touchEnd(QTouchEvent* e);
    void touchUpdate(QTouchEvent* e);
    void touchBegin(QTouchEvent* e);
    QPoint barycenter(QList< QTouchEvent::TouchPoint > points);
  private:
    QTuio tuio;
};

#endif // testqtuio_H
