#ifndef QGISMTTOOL_H
#define QGISMTTOOL_H

#include <QObject>
#include <QLine>
#include <QPoint>
//#include "qgismtwindow.h"
#include <qgsmapcanvas.h>



class QGisMTTool:public QObject
{
    Q_OBJECT
    

    
public:
    QGisMTTool(QgsMapCanvas *canvas);
protected:
  enum TOOL_CTRL {
    IDLE,
    ACT
  };
    QPoint pL;
    QPoint pR;
    TOOL_CTRL toolMode;
   // QGisMTWindow* qgismtwindow;
    QgsMapCanvas* my_canvas;
    virtual void setPL(QPoint p) {
        pL = p;
    }
    virtual void setPR(QPoint p) {
        pR = p;
    }
    virtual void activate() {
        toolMode = ACT;
    }
    virtual void idle() {
        toolMode = IDLE;
    }

public slots:
    virtual void toolAction(const QLine& l1, const QLine& l2) = 0;
    virtual void toolActionEnd() = 0;

};


#endif // QGISMTTOOL_H
